## org.apache.mahout.math
Class CardinalityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.mahout.math.CardinalityException

All Implemented Interfaces:
  Serializable

    public class CardinalityException

extends IllegalArgumentException

Exception thrown when there is a cardinality mismatch in matrix or vector operations. For example, vectors of differing cardinality cannot be added.

See Also:
  Serialized Form

Constructor Summary
`CardinalityException(int expected, int cardinality)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardinalityException

    public CardinalityException(int expected,
                                int cardinality)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.